Subject: Re: powerpc/fadump: trivial fix of spelling mistake, clean up message

From: Colin Ian King <[email-masked]>
Date: Mon, 27 Jun 2016 12:34:40 +0100

On 27/06/16 12:20, Michael Ellerman wrote:
> On Mon, 2016-06-27 at 03:51 -0700, Joe Perches wrote:
>> On Mon, 2016-06-27 at 11:38 +0100, Colin Ian King wrote:
>>> On 26/06/16 05:19, Michael Ellerman wrote:
>>>> On Fri, 2016-24-06 at 17:43:00 UTC, Colin King wrote:
>>>>> trivial fix to spelling mistake "rgistration" and minor clean up
>>>>> of the printk error message
>>>> Can you also:
>>>>  - use pr_err()
>>>>  - unsplit the message, ie. keep the string all on one line.
>>> I can unsplit the string, but checkpatch will complain about that, so
>>> I'm not sure if that's preferred or not.
>>>
>>> WARNING: line over 80 characters
>>
>> If the statement is wrapped after the format,
>> then checkpatch shouldn't complain.
>>
>> 	pr_err("Failed to invalidate firmware-assisted dump registration. Unexpected error (%d).\n",
>> 	       rc);
> 
> But that's not actually any more readable, so just ignore checkpatch in this
> case IMHO. It's a guide, not the gospel.
> 
> cheers
> 
OK, so shall I'll send a V3 w/o the spit and the pr_err fix?